Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
96.0.0.0
Broadcast address
96.255.255.255
First usable
96.0.0.1
Last usable
96.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 60000000 · Integer 1610612736 to 1627389951
Reverse DNS zone
96.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000..00000000.00000000.0000000096.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01100000..00000000.00000000.0000000096.0.0.0
Broadcast01100000..11111111.11111111.1111111196.255.255.255
Split into smaller subnets/20

96.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.0.0.0/2096.0.0.1 to 96.0.15.25496.0.15.2554,094
296.0.16.0/2096.0.16.1 to 96.0.31.25496.0.31.2554,094
396.0.32.0/2096.0.32.1 to 96.0.47.25496.0.47.2554,094
496.0.48.0/2096.0.48.1 to 96.0.63.25496.0.63.2554,094
596.0.64.0/2096.0.64.1 to 96.0.79.25496.0.79.2554,094
696.0.80.0/2096.0.80.1 to 96.0.95.25496.0.95.2554,094
796.0.96.0/2096.0.96.1 to 96.0.111.25496.0.111.2554,094
896.0.112.0/2096.0.112.1 to 96.0.127.25496.0.127.2554,094
996.0.128.0/2096.0.128.1 to 96.0.143.25496.0.143.2554,094
1096.0.144.0/2096.0.144.1 to 96.0.159.25496.0.159.2554,094
1196.0.160.0/2096.0.160.1 to 96.0.175.25496.0.175.2554,094
1296.0.176.0/2096.0.176.1 to 96.0.191.25496.0.191.2554,094
1396.0.192.0/2096.0.192.1 to 96.0.207.25496.0.207.2554,094
1496.0.208.0/2096.0.208.1 to 96.0.223.25496.0.223.2554,094
1596.0.224.0/2096.0.224.1 to 96.0.239.25496.0.239.2554,094
1696.0.240.0/2096.0.240.1 to 96.0.255.25496.0.255.2554,094
1796.1.0.0/2096.1.0.1 to 96.1.15.25496.1.15.2554,094
1896.1.16.0/2096.1.16.1 to 96.1.31.25496.1.31.2554,094
1996.1.32.0/2096.1.32.1 to 96.1.47.25496.1.47.2554,094
2096.1.48.0/2096.1.48.1 to 96.1.63.25496.1.63.2554,094
2196.1.64.0/2096.1.64.1 to 96.1.79.25496.1.79.2554,094
2296.1.80.0/2096.1.80.1 to 96.1.95.25496.1.95.2554,094
2396.1.96.0/2096.1.96.1 to 96.1.111.25496.1.111.2554,094
2496.1.112.0/2096.1.112.1 to 96.1.127.25496.1.127.2554,094
2596.1.128.0/2096.1.128.1 to 96.1.143.25496.1.143.2554,094
2696.1.144.0/2096.1.144.1 to 96.1.159.25496.1.159.2554,094
2796.1.160.0/2096.1.160.1 to 96.1.175.25496.1.175.2554,094
2896.1.176.0/2096.1.176.1 to 96.1.191.25496.1.191.2554,094
2996.1.192.0/2096.1.192.1 to 96.1.207.25496.1.207.2554,094
3096.1.208.0/2096.1.208.1 to 96.1.223.25496.1.223.2554,094
3196.1.224.0/2096.1.224.1 to 96.1.239.25496.1.239.2554,094
3296.1.240.0/2096.1.240.1 to 96.1.255.25496.1.255.2554,094
3396.2.0.0/2096.2.0.1 to 96.2.15.25496.2.15.2554,094
3496.2.16.0/2096.2.16.1 to 96.2.31.25496.2.31.2554,094
3596.2.32.0/2096.2.32.1 to 96.2.47.25496.2.47.2554,094
3696.2.48.0/2096.2.48.1 to 96.2.63.25496.2.63.2554,094
3796.2.64.0/2096.2.64.1 to 96.2.79.25496.2.79.2554,094
3896.2.80.0/2096.2.80.1 to 96.2.95.25496.2.95.2554,094
3996.2.96.0/2096.2.96.1 to 96.2.111.25496.2.111.2554,094
4096.2.112.0/2096.2.112.1 to 96.2.127.25496.2.127.2554,094
4196.2.128.0/2096.2.128.1 to 96.2.143.25496.2.143.2554,094
4296.2.144.0/2096.2.144.1 to 96.2.159.25496.2.159.2554,094
4396.2.160.0/2096.2.160.1 to 96.2.175.25496.2.175.2554,094
4496.2.176.0/2096.2.176.1 to 96.2.191.25496.2.191.2554,094
4596.2.192.0/2096.2.192.1 to 96.2.207.25496.2.207.2554,094
4696.2.208.0/2096.2.208.1 to 96.2.223.25496.2.223.2554,094
4796.2.224.0/2096.2.224.1 to 96.2.239.25496.2.239.2554,094
4896.2.240.0/2096.2.240.1 to 96.2.255.25496.2.255.2554,094
4996.3.0.0/2096.3.0.1 to 96.3.15.25496.3.15.2554,094
5096.3.16.0/2096.3.16.1 to 96.3.31.25496.3.31.2554,094
5196.3.32.0/2096.3.32.1 to 96.3.47.25496.3.47.2554,094
5296.3.48.0/2096.3.48.1 to 96.3.63.25496.3.63.2554,094
5396.3.64.0/2096.3.64.1 to 96.3.79.25496.3.79.2554,094
5496.3.80.0/2096.3.80.1 to 96.3.95.25496.3.95.2554,094
5596.3.96.0/2096.3.96.1 to 96.3.111.25496.3.111.2554,094
5696.3.112.0/2096.3.112.1 to 96.3.127.25496.3.127.2554,094
5796.3.128.0/2096.3.128.1 to 96.3.143.25496.3.143.2554,094
5896.3.144.0/2096.3.144.1 to 96.3.159.25496.3.159.2554,094
5996.3.160.0/2096.3.160.1 to 96.3.175.25496.3.175.2554,094
6096.3.176.0/2096.3.176.1 to 96.3.191.25496.3.191.2554,094
6196.3.192.0/2096.3.192.1 to 96.3.207.25496.3.207.2554,094
6296.3.208.0/2096.3.208.1 to 96.3.223.25496.3.223.2554,094
6396.3.224.0/2096.3.224.1 to 96.3.239.25496.3.239.2554,094
6496.3.240.0/2096.3.240.1 to 96.3.255.25496.3.255.2554,094
6596.4.0.0/2096.4.0.1 to 96.4.15.25496.4.15.2554,094
6696.4.16.0/2096.4.16.1 to 96.4.31.25496.4.31.2554,094
6796.4.32.0/2096.4.32.1 to 96.4.47.25496.4.47.2554,094
6896.4.48.0/2096.4.48.1 to 96.4.63.25496.4.63.2554,094
6996.4.64.0/2096.4.64.1 to 96.4.79.25496.4.79.2554,094
7096.4.80.0/2096.4.80.1 to 96.4.95.25496.4.95.2554,094
7196.4.96.0/2096.4.96.1 to 96.4.111.25496.4.111.2554,094
7296.4.112.0/2096.4.112.1 to 96.4.127.25496.4.127.2554,094
7396.4.128.0/2096.4.128.1 to 96.4.143.25496.4.143.2554,094
7496.4.144.0/2096.4.144.1 to 96.4.159.25496.4.159.2554,094
7596.4.160.0/2096.4.160.1 to 96.4.175.25496.4.175.2554,094
7696.4.176.0/2096.4.176.1 to 96.4.191.25496.4.191.2554,094
7796.4.192.0/2096.4.192.1 to 96.4.207.25496.4.207.2554,094
7896.4.208.0/2096.4.208.1 to 96.4.223.25496.4.223.2554,094
7996.4.224.0/2096.4.224.1 to 96.4.239.25496.4.239.2554,094
8096.4.240.0/2096.4.240.1 to 96.4.255.25496.4.255.2554,094
8196.5.0.0/2096.5.0.1 to 96.5.15.25496.5.15.2554,094
8296.5.16.0/2096.5.16.1 to 96.5.31.25496.5.31.2554,094
8396.5.32.0/2096.5.32.1 to 96.5.47.25496.5.47.2554,094
8496.5.48.0/2096.5.48.1 to 96.5.63.25496.5.63.2554,094
8596.5.64.0/2096.5.64.1 to 96.5.79.25496.5.79.2554,094
8696.5.80.0/2096.5.80.1 to 96.5.95.25496.5.95.2554,094
8796.5.96.0/2096.5.96.1 to 96.5.111.25496.5.111.2554,094
8896.5.112.0/2096.5.112.1 to 96.5.127.25496.5.127.2554,094
8996.5.128.0/2096.5.128.1 to 96.5.143.25496.5.143.2554,094
9096.5.144.0/2096.5.144.1 to 96.5.159.25496.5.159.2554,094
9196.5.160.0/2096.5.160.1 to 96.5.175.25496.5.175.2554,094
9296.5.176.0/2096.5.176.1 to 96.5.191.25496.5.191.2554,094
9396.5.192.0/2096.5.192.1 to 96.5.207.25496.5.207.2554,094
9496.5.208.0/2096.5.208.1 to 96.5.223.25496.5.223.2554,094
9596.5.224.0/2096.5.224.1 to 96.5.239.25496.5.239.2554,094
9696.5.240.0/2096.5.240.1 to 96.5.255.25496.5.255.2554,094
9796.6.0.0/2096.6.0.1 to 96.6.15.25496.6.15.2554,094
9896.6.16.0/2096.6.16.1 to 96.6.31.25496.6.31.2554,094
9996.6.32.0/2096.6.32.1 to 96.6.47.25496.6.47.2554,094
10096.6.48.0/2096.6.48.1 to 96.6.63.25496.6.63.2554,094
10196.6.64.0/2096.6.64.1 to 96.6.79.25496.6.79.2554,094
10296.6.80.0/2096.6.80.1 to 96.6.95.25496.6.95.2554,094
10396.6.96.0/2096.6.96.1 to 96.6.111.25496.6.111.2554,094
10496.6.112.0/2096.6.112.1 to 96.6.127.25496.6.127.2554,094
10596.6.128.0/2096.6.128.1 to 96.6.143.25496.6.143.2554,094
10696.6.144.0/2096.6.144.1 to 96.6.159.25496.6.159.2554,094
10796.6.160.0/2096.6.160.1 to 96.6.175.25496.6.175.2554,094
10896.6.176.0/2096.6.176.1 to 96.6.191.25496.6.191.2554,094
10996.6.192.0/2096.6.192.1 to 96.6.207.25496.6.207.2554,094
11096.6.208.0/2096.6.208.1 to 96.6.223.25496.6.223.2554,094
11196.6.224.0/2096.6.224.1 to 96.6.239.25496.6.239.2554,094
11296.6.240.0/2096.6.240.1 to 96.6.255.25496.6.255.2554,094
11396.7.0.0/2096.7.0.1 to 96.7.15.25496.7.15.2554,094
11496.7.16.0/2096.7.16.1 to 96.7.31.25496.7.31.2554,094
11596.7.32.0/2096.7.32.1 to 96.7.47.25496.7.47.2554,094
11696.7.48.0/2096.7.48.1 to 96.7.63.25496.7.63.2554,094
11796.7.64.0/2096.7.64.1 to 96.7.79.25496.7.79.2554,094
11896.7.80.0/2096.7.80.1 to 96.7.95.25496.7.95.2554,094
11996.7.96.0/2096.7.96.1 to 96.7.111.25496.7.111.2554,094
12096.7.112.0/2096.7.112.1 to 96.7.127.25496.7.127.2554,094
12196.7.128.0/2096.7.128.1 to 96.7.143.25496.7.143.2554,094
12296.7.144.0/2096.7.144.1 to 96.7.159.25496.7.159.2554,094
12396.7.160.0/2096.7.160.1 to 96.7.175.25496.7.175.2554,094
12496.7.176.0/2096.7.176.1 to 96.7.191.25496.7.191.2554,094
12596.7.192.0/2096.7.192.1 to 96.7.207.25496.7.207.2554,094
12696.7.208.0/2096.7.208.1 to 96.7.223.25496.7.223.2554,094
12796.7.224.0/2096.7.224.1 to 96.7.239.25496.7.239.2554,094
12896.7.240.0/2096.7.240.1 to 96.7.255.25496.7.255.2554,094
12996.8.0.0/2096.8.0.1 to 96.8.15.25496.8.15.2554,094
13096.8.16.0/2096.8.16.1 to 96.8.31.25496.8.31.2554,094
13196.8.32.0/2096.8.32.1 to 96.8.47.25496.8.47.2554,094
13296.8.48.0/2096.8.48.1 to 96.8.63.25496.8.63.2554,094
13396.8.64.0/2096.8.64.1 to 96.8.79.25496.8.79.2554,094
13496.8.80.0/2096.8.80.1 to 96.8.95.25496.8.95.2554,094
13596.8.96.0/2096.8.96.1 to 96.8.111.25496.8.111.2554,094
13696.8.112.0/2096.8.112.1 to 96.8.127.25496.8.127.2554,094
13796.8.128.0/2096.8.128.1 to 96.8.143.25496.8.143.2554,094
13896.8.144.0/2096.8.144.1 to 96.8.159.25496.8.159.2554,094
13996.8.160.0/2096.8.160.1 to 96.8.175.25496.8.175.2554,094
14096.8.176.0/2096.8.176.1 to 96.8.191.25496.8.191.2554,094
14196.8.192.0/2096.8.192.1 to 96.8.207.25496.8.207.2554,094
14296.8.208.0/2096.8.208.1 to 96.8.223.25496.8.223.2554,094
14396.8.224.0/2096.8.224.1 to 96.8.239.25496.8.239.2554,094
14496.8.240.0/2096.8.240.1 to 96.8.255.25496.8.255.2554,094
14596.9.0.0/2096.9.0.1 to 96.9.15.25496.9.15.2554,094
14696.9.16.0/2096.9.16.1 to 96.9.31.25496.9.31.2554,094
14796.9.32.0/2096.9.32.1 to 96.9.47.25496.9.47.2554,094
14896.9.48.0/2096.9.48.1 to 96.9.63.25496.9.63.2554,094
14996.9.64.0/2096.9.64.1 to 96.9.79.25496.9.79.2554,094
15096.9.80.0/2096.9.80.1 to 96.9.95.25496.9.95.2554,094
15196.9.96.0/2096.9.96.1 to 96.9.111.25496.9.111.2554,094
15296.9.112.0/2096.9.112.1 to 96.9.127.25496.9.127.2554,094
15396.9.128.0/2096.9.128.1 to 96.9.143.25496.9.143.2554,094
15496.9.144.0/2096.9.144.1 to 96.9.159.25496.9.159.2554,094
15596.9.160.0/2096.9.160.1 to 96.9.175.25496.9.175.2554,094
15696.9.176.0/2096.9.176.1 to 96.9.191.25496.9.191.2554,094
15796.9.192.0/2096.9.192.1 to 96.9.207.25496.9.207.2554,094
15896.9.208.0/2096.9.208.1 to 96.9.223.25496.9.223.2554,094
15996.9.224.0/2096.9.224.1 to 96.9.239.25496.9.239.2554,094
16096.9.240.0/2096.9.240.1 to 96.9.255.25496.9.255.2554,094
16196.10.0.0/2096.10.0.1 to 96.10.15.25496.10.15.2554,094
16296.10.16.0/2096.10.16.1 to 96.10.31.25496.10.31.2554,094
16396.10.32.0/2096.10.32.1 to 96.10.47.25496.10.47.2554,094
16496.10.48.0/2096.10.48.1 to 96.10.63.25496.10.63.2554,094
16596.10.64.0/2096.10.64.1 to 96.10.79.25496.10.79.2554,094
16696.10.80.0/2096.10.80.1 to 96.10.95.25496.10.95.2554,094
16796.10.96.0/2096.10.96.1 to 96.10.111.25496.10.111.2554,094
16896.10.112.0/2096.10.112.1 to 96.10.127.25496.10.127.2554,094
16996.10.128.0/2096.10.128.1 to 96.10.143.25496.10.143.2554,094
17096.10.144.0/2096.10.144.1 to 96.10.159.25496.10.159.2554,094
17196.10.160.0/2096.10.160.1 to 96.10.175.25496.10.175.2554,094
17296.10.176.0/2096.10.176.1 to 96.10.191.25496.10.191.2554,094
17396.10.192.0/2096.10.192.1 to 96.10.207.25496.10.207.2554,094
17496.10.208.0/2096.10.208.1 to 96.10.223.25496.10.223.2554,094
17596.10.224.0/2096.10.224.1 to 96.10.239.25496.10.239.2554,094
17696.10.240.0/2096.10.240.1 to 96.10.255.25496.10.255.2554,094
17796.11.0.0/2096.11.0.1 to 96.11.15.25496.11.15.2554,094
17896.11.16.0/2096.11.16.1 to 96.11.31.25496.11.31.2554,094
17996.11.32.0/2096.11.32.1 to 96.11.47.25496.11.47.2554,094
18096.11.48.0/2096.11.48.1 to 96.11.63.25496.11.63.2554,094
18196.11.64.0/2096.11.64.1 to 96.11.79.25496.11.79.2554,094
18296.11.80.0/2096.11.80.1 to 96.11.95.25496.11.95.2554,094
18396.11.96.0/2096.11.96.1 to 96.11.111.25496.11.111.2554,094
18496.11.112.0/2096.11.112.1 to 96.11.127.25496.11.127.2554,094
18596.11.128.0/2096.11.128.1 to 96.11.143.25496.11.143.2554,094
18696.11.144.0/2096.11.144.1 to 96.11.159.25496.11.159.2554,094
18796.11.160.0/2096.11.160.1 to 96.11.175.25496.11.175.2554,094
18896.11.176.0/2096.11.176.1 to 96.11.191.25496.11.191.2554,094
18996.11.192.0/2096.11.192.1 to 96.11.207.25496.11.207.2554,094
19096.11.208.0/2096.11.208.1 to 96.11.223.25496.11.223.2554,094
19196.11.224.0/2096.11.224.1 to 96.11.239.25496.11.239.2554,094
19296.11.240.0/2096.11.240.1 to 96.11.255.25496.11.255.2554,094
19396.12.0.0/2096.12.0.1 to 96.12.15.25496.12.15.2554,094
19496.12.16.0/2096.12.16.1 to 96.12.31.25496.12.31.2554,094
19596.12.32.0/2096.12.32.1 to 96.12.47.25496.12.47.2554,094
19696.12.48.0/2096.12.48.1 to 96.12.63.25496.12.63.2554,094
19796.12.64.0/2096.12.64.1 to 96.12.79.25496.12.79.2554,094
19896.12.80.0/2096.12.80.1 to 96.12.95.25496.12.95.2554,094
19996.12.96.0/2096.12.96.1 to 96.12.111.25496.12.111.2554,094
20096.12.112.0/2096.12.112.1 to 96.12.127.25496.12.127.2554,094
20196.12.128.0/2096.12.128.1 to 96.12.143.25496.12.143.2554,094
20296.12.144.0/2096.12.144.1 to 96.12.159.25496.12.159.2554,094
20396.12.160.0/2096.12.160.1 to 96.12.175.25496.12.175.2554,094
20496.12.176.0/2096.12.176.1 to 96.12.191.25496.12.191.2554,094
20596.12.192.0/2096.12.192.1 to 96.12.207.25496.12.207.2554,094
20696.12.208.0/2096.12.208.1 to 96.12.223.25496.12.223.2554,094
20796.12.224.0/2096.12.224.1 to 96.12.239.25496.12.239.2554,094
20896.12.240.0/2096.12.240.1 to 96.12.255.25496.12.255.2554,094
20996.13.0.0/2096.13.0.1 to 96.13.15.25496.13.15.2554,094
21096.13.16.0/2096.13.16.1 to 96.13.31.25496.13.31.2554,094
21196.13.32.0/2096.13.32.1 to 96.13.47.25496.13.47.2554,094
21296.13.48.0/2096.13.48.1 to 96.13.63.25496.13.63.2554,094
21396.13.64.0/2096.13.64.1 to 96.13.79.25496.13.79.2554,094
21496.13.80.0/2096.13.80.1 to 96.13.95.25496.13.95.2554,094
21596.13.96.0/2096.13.96.1 to 96.13.111.25496.13.111.2554,094
21696.13.112.0/2096.13.112.1 to 96.13.127.25496.13.127.2554,094
21796.13.128.0/2096.13.128.1 to 96.13.143.25496.13.143.2554,094
21896.13.144.0/2096.13.144.1 to 96.13.159.25496.13.159.2554,094
21996.13.160.0/2096.13.160.1 to 96.13.175.25496.13.175.2554,094
22096.13.176.0/2096.13.176.1 to 96.13.191.25496.13.191.2554,094
22196.13.192.0/2096.13.192.1 to 96.13.207.25496.13.207.2554,094
22296.13.208.0/2096.13.208.1 to 96.13.223.25496.13.223.2554,094
22396.13.224.0/2096.13.224.1 to 96.13.239.25496.13.239.2554,094
22496.13.240.0/2096.13.240.1 to 96.13.255.25496.13.255.2554,094
22596.14.0.0/2096.14.0.1 to 96.14.15.25496.14.15.2554,094
22696.14.16.0/2096.14.16.1 to 96.14.31.25496.14.31.2554,094
22796.14.32.0/2096.14.32.1 to 96.14.47.25496.14.47.2554,094
22896.14.48.0/2096.14.48.1 to 96.14.63.25496.14.63.2554,094
22996.14.64.0/2096.14.64.1 to 96.14.79.25496.14.79.2554,094
23096.14.80.0/2096.14.80.1 to 96.14.95.25496.14.95.2554,094
23196.14.96.0/2096.14.96.1 to 96.14.111.25496.14.111.2554,094
23296.14.112.0/2096.14.112.1 to 96.14.127.25496.14.127.2554,094
23396.14.128.0/2096.14.128.1 to 96.14.143.25496.14.143.2554,094
23496.14.144.0/2096.14.144.1 to 96.14.159.25496.14.159.2554,094
23596.14.160.0/2096.14.160.1 to 96.14.175.25496.14.175.2554,094
23696.14.176.0/2096.14.176.1 to 96.14.191.25496.14.191.2554,094
23796.14.192.0/2096.14.192.1 to 96.14.207.25496.14.207.2554,094
23896.14.208.0/2096.14.208.1 to 96.14.223.25496.14.223.2554,094
23996.14.224.0/2096.14.224.1 to 96.14.239.25496.14.239.2554,094
24096.14.240.0/2096.14.240.1 to 96.14.255.25496.14.255.2554,094
24196.15.0.0/2096.15.0.1 to 96.15.15.25496.15.15.2554,094
24296.15.16.0/2096.15.16.1 to 96.15.31.25496.15.31.2554,094
24396.15.32.0/2096.15.32.1 to 96.15.47.25496.15.47.2554,094
24496.15.48.0/2096.15.48.1 to 96.15.63.25496.15.63.2554,094
24596.15.64.0/2096.15.64.1 to 96.15.79.25496.15.79.2554,094
24696.15.80.0/2096.15.80.1 to 96.15.95.25496.15.95.2554,094
24796.15.96.0/2096.15.96.1 to 96.15.111.25496.15.111.2554,094
24896.15.112.0/2096.15.112.1 to 96.15.127.25496.15.127.2554,094
24996.15.128.0/2096.15.128.1 to 96.15.143.25496.15.143.2554,094
25096.15.144.0/2096.15.144.1 to 96.15.159.25496.15.159.2554,094
25196.15.160.0/2096.15.160.1 to 96.15.175.25496.15.175.2554,094
25296.15.176.0/2096.15.176.1 to 96.15.191.25496.15.191.2554,094
25396.15.192.0/2096.15.192.1 to 96.15.207.25496.15.207.2554,094
25496.15.208.0/2096.15.208.1 to 96.15.223.25496.15.223.2554,094
25596.15.224.0/2096.15.224.1 to 96.15.239.25496.15.239.2554,094
25696.15.240.0/2096.15.240.1 to 96.15.255.25496.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses